package com.link.base.basic.service;

import com.link.base.basic.dao.mybatis.mapper.JobMapper;
import com.link.base.basic.model.Job;
import com.link.core.basic.query.QueryParams;
import com.link.core.basic.service.BasicServiceException;
import java.util.List;
import javax.annotation.Resource;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.stereotype.Service;

@Service
public class JobServiceImpl implements JobService {
   @Resource
   private JobMapper jobMapper;
   private static final Logger logger = LogManager.getLogger(JobServiceImpl.class);

   public List<Job> queryAllJobListPage(QueryParams qps) throws BasicServiceException {
      List<Job> list = null;

      try {
         list = this.jobMapper.queryAllJobListPage(qps);
         return list;
      } catch (Exception var4) {
         Exception e = var4;
         logger.error("JobServiceImpl捕获异常: ", e);
         throw new BasicServiceException(e.getMessage());
      }
   }
}
